Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Interface ForgeChunkManager.PlayerOrderedLoadingCallback

All Superinterfaces:
  ForgeChunkManager.LoadingCallback

Enclosing class:
  ForgeChunkManager

    public static interface ForgeChunkManager.PlayerOrderedLoadingCallback

extends ForgeChunkManager.LoadingCallback

Method Summary
`com.google.common.collect.ListMultimap<String,ForgeChunkManager.Ticket>` | `playerTicketsLoaded(com.google.common.collect.ListMultimap<String,ForgeChunkManager.Ticket> tickets, World world)` Called back when tickets are loaded from the world to allow the mod to decide if it wants the ticket still.

Methods inherited from interface net.minecraftforge.common.ForgeChunkManager.LoadingCallback
`ticketsLoaded`

Method Detail

### playerTicketsLoaded

    com.google.common.collect.ListMultimap<String,ForgeChunkManager.Ticket> playerTicketsLoaded(com.google.common.collect.ListMultimap<String,ForgeChunkManager.Ticket> tickets,
                                                                                                World world)

  Called back when tickets are loaded from the world to allow the mod to decide if it wants the ticket still. This is for player bound tickets rather than mod bound tickets. It is here so mods can decide they want to dump all player tickets WARNING: You cannot force chunks in this callback, it is strictly for allowing the mod to be more selective in which tickets it wishes to preserve

  Parameters:
    `tickets` - The tickets that you will want to select from. The list is immutable and cannot be manipulated directly. Copy it first.
    `world` - The world
  Returns:
    A list of the tickets this mod wishes to use. This list will subsequently be offered to the main callback for action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD